Package org.apache.tapestry5.ioc.junit

# Enum RegistryShutdownType

java.lang.Object
java.lang.Enum<RegistryShutdownType>
org.apache.tapestry5.ioc.junit.RegistryShutdownType

All Implemented Interfaces:
  `Serializable`, `Comparable<RegistryShutdownType>`, `java.lang.constant.Constable`

public enum RegistryShutdownType extends Enum<RegistryShutdownType>
Used in conjunction with the `TapestryIOCJUnit4ClassRunner` to determine the registry lifecycle

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER_CLASS`
  Test registry will be shut down once per test class
  `AFTER_METHOD`
  Test registry will be shut down after each test method

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RegistryShutdownType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RegistryShutdownType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AFTER_CLASS

    public static final RegistryShutdownType AFTER_CLASS
    Test registry will be shut down once per test class

  - ### AFTER_METHOD

    public static final RegistryShutdownType AFTER_METHOD
    Test registry will be shut down after each test method

- ## Method Details

  - ### values

    public static RegistryShutdownType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RegistryShutdownType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null